Upstream information

CVE-2019-2614 at MITRE

Description

Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Replication). Supported versions that are affected are 5.6.43 and prior, 5.7.25 and prior and 8.0.15 and prior. Difficult to exploit vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. CVSS 3.0 Base Score 4.4 (Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:H/UI:N/S:U/C:N/I:N/A:H).

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.5
Vector AV:N/AC:M/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 4.4
Vector AV:N/AC:H/PR:H/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity High
Privileges Required High
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entries: 1132826 [IN_PROGRESS], 1136035 [IN_PROGRESS], 1141798 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Build System Kit 12 SP4
  • mariadb >= 10.2.25-3.19.2
  • mariadb-bench >= 10.2.25-3.19.2
  • mariadb-test >= 10.2.25-3.19.2
Patchnames:
SUSE-SLE-BSK-12-SP4-2019-2330
SUSE Linux Enterprise Desktop 12 SP4
  • libmariadb3 >= 3.1.2-2.6.6
  • libmariadb_plugins >= 3.1.2-2.6.6
  • mariadb >= 10.2.25-3.19.2
  • mariadb-client >= 10.2.25-3.19.2
  • mariadb-connector-c >= 3.1.2-2.6.6
  • mariadb-errormessages >= 10.2.25-3.19.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-2330
SUSE Linux Enterprise Module for Basesystem 15
  • libmariadb3 >= 3.1.2-3.9.3
  • libmariadbprivate >= 3.1.2-3.9.3
  • mariadb-connector-c >= 3.1.2-3.9.3
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-2020
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libmariadb3 >= 3.1.2-3.9.3
  • libmariadbprivate >= 3.1.2-3.9.3
  • mariadb-connector-c >= 3.1.2-3.9.3
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-2020
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • mariadb >= 10.2.25-3.17.2
  • mariadb-bench >= 10.2.25-3.17.2
  • mariadb-galera >= 10.2.25-3.17.2
  • mariadb-test >= 10.2.25-3.17.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-2020
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • libmariadb3-32bit >= 3.1.2-3.9.3
  • mariadb >= 10.2.25-3.17.2
  • mariadb-bench >= 10.2.25-3.17.2
  • mariadb-connector-c >= 3.1.2-3.9.3
  • mariadb-galera >= 10.2.25-3.17.2
  • mariadb-test >= 10.2.25-3.17.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2020
SUSE Linux Enterprise Module for Server Applications 15
  • libmariadb-devel >= 3.1.2-3.9.3
  • libmariadb_plugins >= 3.1.2-3.9.3
  • libmysqld-devel >= 10.2.25-3.17.2
  • libmysqld19 >= 10.2.25-3.17.2
  • mariadb >= 10.2.25-3.17.2
  • mariadb-client >= 10.2.25-3.17.2
  • mariadb-connector-c >= 3.1.2-3.9.3
  • mariadb-errormessages >= 10.2.25-3.17.2
  • mariadb-tools >= 10.2.25-3.17.2
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-2020
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • libmariadb-devel >= 3.1.2-3.9.3
  • libmariadb_plugins >= 3.1.2-3.9.3
  • libmysqld-devel >= 10.2.25-3.17.2
  • libmysqld19 >= 10.2.25-3.17.2
  • mariadb >= 10.2.25-3.17.2
  • mariadb-client >= 10.2.25-3.17.2
  • mariadb-connector-c >= 3.1.2-3.9.3
  • mariadb-errormessages >= 10.2.25-3.17.2
  • mariadb-tools >= 10.2.25-3.17.2
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2019-2020
SUSE Linux Enterprise Server 12 SP4
  • libmariadb3 >= 3.1.2-2.6.6
  • libmariadb_plugins >= 3.1.2-2.6.6
  • mariadb >= 10.2.25-3.19.2
  • mariadb-client >= 10.2.25-3.19.2
  • mariadb-connector-c >= 3.1.2-2.6.6
  • mariadb-errormessages >= 10.2.25-3.19.2
  • mariadb-tools >= 10.2.25-3.19.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-2330
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libmariadb3 >= 3.1.2-2.6.6
  • libmariadb_plugins >= 3.1.2-2.6.6
  • mariadb >= 10.2.25-3.19.2
  • mariadb-client >= 10.2.25-3.19.2
  • mariadb-connector-c >= 3.1.2-2.6.6
  • mariadb-errormessages >= 10.2.25-3.19.2
  • mariadb-tools >= 10.2.25-3.19.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-2330
SUSE OpenStack Cloud 9
  • mariadb >= 10.2.25-3.19.2
  • mariadb-galera >= 10.2.25-3.19.2
Patchnames:
SUSE-OpenStack-Cloud-9-2019-2330
SUSE OpenStack Cloud Crowbar 9
  • mariadb >= 10.2.25-3.19.2
  • mariadb-galera >= 10.2.25-3.19.2
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2019-2330
openSUSE Leap 15.0
  • libmariadb-devel >= 3.1.2-lp150.10.1
  • libmariadb-devel-debuginfo >= 3.1.2-lp150.10.1
  • libmariadb3 >= 3.1.2-lp150.10.1
  • libmariadb3-32bit >= 3.1.2-lp150.10.1
  • libmariadb3-32bit-debuginfo >= 3.1.2-lp150.10.1
  • libmariadb3-debuginfo >= 3.1.2-lp150.10.1
  • libmariadb_plugins >= 3.1.2-lp150.10.1
  • libmariadb_plugins-debuginfo >= 3.1.2-lp150.10.1
  • libmariadbprivate >= 3.1.2-lp150.10.1
  • libmariadbprivate-debuginfo >= 3.1.2-lp150.10.1
  • libmysqld-devel >= 10.2.25-lp150.2.13.1
  • libmysqld19 >= 10.2.25-lp150.2.13.1
  • libmysqld19-debuginfo >= 10.2.25-lp150.2.13.1
  • mariadb >= 10.2.25-lp150.2.13.1
  • mariadb-bench >= 10.2.25-lp150.2.13.1
  • mariadb-bench-debuginfo >= 10.2.25-lp150.2.13.1
  • mariadb-client >= 10.2.25-lp150.2.13.1
  • mariadb-client-debuginfo >= 10.2.25-lp150.2.13.1
  • mariadb-connector-c >= 3.1.2-lp150.10.1
  • mariadb-connector-c-debugsource >= 3.1.2-lp150.10.1
  • mariadb-debuginfo >= 10.2.25-lp150.2.13.1
  • mariadb-debugsource >= 10.2.25-lp150.2.13.1
  • mariadb-errormessages >= 10.2.25-lp150.2.13.1
  • mariadb-galera >= 10.2.25-lp150.2.13.1
  • mariadb-test >= 10.2.25-lp150.2.13.1
  • mariadb-test-debuginfo >= 10.2.25-lp150.2.13.1
  • mariadb-tools >= 10.2.25-lp150.2.13.1
  • mariadb-tools-debuginfo >= 10.2.25-lp150.2.13.1
Patchnames:
openSUSE-2019-1915
openSUSE Leap 15.1
  • libmariadb-devel >= 3.1.2-lp151.3.3.1
  • libmariadb-devel-debuginfo >= 3.1.2-lp151.3.3.1
  • libmariadb3 >= 3.1.2-lp151.3.3.1
  • libmariadb3-32bit >= 3.1.2-lp151.3.3.1
  • libmariadb3-32bit-debuginfo >= 3.1.2-lp151.3.3.1
  • libmariadb3-debuginfo >= 3.1.2-lp151.3.3.1
  • libmariadb_plugins >= 3.1.2-lp151.3.3.1
  • libmariadb_plugins-debuginfo >= 3.1.2-lp151.3.3.1
  • libmariadbprivate >= 3.1.2-lp151.3.3.1
  • libmariadbprivate-debuginfo >= 3.1.2-lp151.3.3.1
  • libmysqld-devel >= 10.2.25-lp151.2.3.1
  • libmysqld19 >= 10.2.25-lp151.2.3.1
  • libmysqld19-debuginfo >= 10.2.25-lp151.2.3.1
  • mariadb >= 10.2.25-lp151.2.3.1
  • mariadb-bench >= 10.2.25-lp151.2.3.1
  • mariadb-bench-debuginfo >= 10.2.25-lp151.2.3.1
  • mariadb-client >= 10.2.25-lp151.2.3.1
  • mariadb-client-debuginfo >= 10.2.25-lp151.2.3.1
  • mariadb-connector-c >= 3.1.2-lp151.3.3.1
  • mariadb-connector-c-debugsource >= 3.1.2-lp151.3.3.1
  • mariadb-debuginfo >= 10.2.25-lp151.2.3.1
  • mariadb-debugsource >= 10.2.25-lp151.2.3.1
  • mariadb-errormessages >= 10.2.25-lp151.2.3.1
  • mariadb-galera >= 10.2.25-lp151.2.3.1
  • mariadb-test >= 10.2.25-lp151.2.3.1
  • mariadb-test-debuginfo >= 10.2.25-lp151.2.3.1
  • mariadb-tools >= 10.2.25-lp151.2.3.1
  • mariadb-tools-debuginfo >= 10.2.25-lp151.2.3.1
Patchnames:
openSUSE-2019-1913

List of packages in QA

Product(s) Package(s)
HPE Helion Openstack 8
  • libmysqlclient18 >= 10.0.40.1-29.32.1
  • libmysqlclient18-debuginfo >= 10.0.40.1-29.32.1
  • mariadb >= 10.0.40.1-29.32.1
SUSE Linux Enterprise Desktop 12 SP4
  • libmysqlclient18 >= 10.0.40.1-2.9.1
  • libmysqlclient18-32bit >= 10.0.40.1-2.9.1
  • libmysqlclient18-debuginfo >= 10.0.40.1-2.9.1
  • libmysqlclient18-debuginfo-32bit >= 10.0.40.1-2.9.1
  • libmysqlclient_r18 >= 10.0.40.1-2.9.1
  • libmysqlclient_r18-32bit >= 10.0.40.1-2.9.1
  • mariadb-100 >= 10.0.40.1-2.9.1
  • mariadb-100-debuginfo >= 10.0.40.1-2.9.1
  • mariadb-100-debugsource >= 10.0.40.1-2.9.1
  • mariadb-100-errormessages >= 10.0.40.1-2.9.1
SUSE Linux Enterprise Server 12 SP4
  • libmysqlclient18 >= 10.0.40.1-2.9.1
  • libmysqlclient18-32bit >= 10.0.40.1-2.9.1
  • libmysqlclient18-debuginfo >= 10.0.40.1-2.9.1
  • libmysqlclient18-debuginfo-32bit >= 10.0.40.1-2.9.1
  • mariadb-100 >= 10.0.40.1-2.9.1
  • mariadb-100-debuginfo >= 10.0.40.1-2.9.1
  • mariadb-100-debugsource >= 10.0.40.1-2.9.1
  • mariadb-100-errormessages >= 10.0.40.1-2.9.1
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libmysqlclient18 >= 10.0.40.1-2.9.1
  • libmysqlclient18-32bit >= 10.0.40.1-2.9.1
  • libmysqlclient18-debuginfo >= 10.0.40.1-2.9.1
  • libmysqlclient18-debuginfo-32bit >= 10.0.40.1-2.9.1
  • mariadb-100 >= 10.0.40.1-2.9.1
  • mariadb-100-debuginfo >= 10.0.40.1-2.9.1
  • mariadb-100-debugsource >= 10.0.40.1-2.9.1
  • mariadb-100-errormessages >= 10.0.40.1-2.9.1
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libmysqlclient-devel >= 10.0.40.1-2.9.1
  • libmysqlclient_r18 >= 10.0.40.1-2.9.1
  • libmysqld-devel >= 10.0.40.1-2.9.1
  • libmysqld18 >= 10.0.40.1-2.9.1
  • libmysqld18-debuginfo >= 10.0.40.1-2.9.1
  • mariadb-100 >= 10.0.40.1-2.9.1
  • mariadb-100-debuginfo >= 10.0.40.1-2.9.1
  • mariadb-100-debugsource >= 10.0.40.1-2.9.1
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libmysqlclient_r18 >= 10.0.40.1-2.9.1
  • libmysqlclient_r18-32bit >= 10.0.40.1-2.9.1
  • mariadb-100 >= 10.0.40.1-2.9.1
  • mariadb-100-debuginfo >= 10.0.40.1-2.9.1
  • mariadb-100-debugsource >= 10.0.40.1-2.9.1
SUSE OpenStack Cloud 8
  • libmysqlclient18 >= 10.0.40.1-29.32.1
  • libmysqlclient18-debuginfo >= 10.0.40.1-29.32.1
  • mariadb >= 10.0.40.1-29.32.1
SUSE OpenStack Cloud Crowbar 8
  • libmysqlclient18 >= 10.0.40.1-29.32.1
  • libmysqlclient18-debuginfo >= 10.0.40.1-29.32.1
  • mariadb >= 10.0.40.1-29.32.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 mariadb In progress
SUSE Linux Enterprise Desktop 12 SP4 mariadb Released
SUSE Linux Enterprise High Performance Computing 12 mariadb Released
SUSE Linux Enterprise Module for Server Applications 15 GA mariadb Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 mariadb Released
SUSE Linux Enterprise Server 12 SP4 mariadb Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mariadb Released
SUSE Openstack Cloud 8 mariadb In progress
SUSE Openstack Cloud 9 mariadb Released